*{
    scroll-behavior: smooth;
}
:root{
    --primary-color :lavender;
    --secondary-color:black;
    --text-color:rgb(84, 84, 84);
    --bg-color:white;
    --icon-color: rgb(142, 142, 141);
}
.darkTheme{
    --primary-color :rgb(13, 7, 25);
    --secondary-color:rgb(255, 255, 255);
    --text-color:white;
    --bg-color:rgb(13, 7, 25);
    --icon-color: white;
}
div.body{
    background-color: var(--bg-color);
}
body{
    overflow-x: hidden;
}
div.Home img{
    height: 600px;
    margin-left: 800px;
    margin-top: -500px;
    transition: transform 450ms;
}
div.Home img:hover{
    transform:translate(-2% ,-2%);
}
.Home {
  background-color: var(--primary-color);
  height: 700px;
  margin-top: -30px;
  margin-right: -8px;
  margin-left: -8px;
}
.first nav{
    margin-top: 25px;
    margin-left: 600px;
    padding-top: 40px;
}
.first nav a{
    color: var(--icon-color);
    text-decoration: none;
    font-family: 'Dongle';
    font-size: 40px;
    transition: transform 400ms;
    padding-left: 20px;
    cursor: pointer;
}
.first nav a:hover{
    color: rgb(255, 156, 75);
    text-transform: uppercase;
}

.second{
    margin-top: 200px;
}
.second a {
    text-decoration: none;
    color: var(--icon-color);
    margin-left: 45px;
}
.second a .fa-brands{
    font-size: 30px;
    margin-top: 10px;
}
.second a:hover{
    color: rgb(255, 156, 75);
}
div.third{
    margin-left: 180px;
    margin-top: -270px;
}
.name{
    color: rgb(253, 179, 67);
    font-family: 'Neucha';
    font-size: 60px;
    font-weight: 600;
}
.hiThere{
    font-size: 30px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    color: var(--text-color);
}
.Im{
    font-size: 60px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    color: var(--text-color);
    font-weight: 100;
}
.des{
    font-size: 20px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    color: var(--text-color);
}
p{
    width: 550px;
    line-height: 1.3;
    font-size: 1.2rem;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    color: var(--text-color);
    margin: 0.7rem 0 1rem;
}
button.resume{
    padding-bottom: 5px;   
    background-color: rgb(253, 179, 67);
    border: none;
    text-align: center;
    font-size: 35px;
    font-family:'Dongle';
    height:45px;
    width: 150px;
    color: white;
    border-radius: 5px;
    box-shadow: 3px 3px 3px  rgba(168, 168, 167, 0.733);
    cursor:pointer;
}
.resume:hover{
    background-color: white;
    color: rgb(255, 156, 75);
    border-color: rgb(255, 156, 75);
    border-width: 2px;
}
div.about{
    background-color: var(--bg-color);
    height: 500px;
}
.aboutImg{
    margin-left: 90px;
    margin-top: 150px;
}
h2.abt{
    margin-left: 820px;
    margin-top:-420px;
    font-size: 60px;
    font-family:Darumadrop One, Geneva, Tahoma, sans-serif;
    color:var(--secondary-color);
}
.myself{
    font-family: Dancing Script, Helvetica, sans-serif;
    margin-left: 700px;
    width: 650px;
    font-size: 30px;
    color:var(--secondary-color);
}
button.contact{
    padding-bottom: 1px; 
    margin-left: 950px;  
    background-color: rgb(189, 159, 250);
    text-align: center;
    font-size: 35px;
    font-family:'Dongle';
    height:45px;
    width: 150px;
    color: white;
    border-radius: 5px;
    box-shadow: 3px 3px 3px  rgba(168, 168, 167, 0.733);
    cursor:pointer;
    border: none;
}
.contact:hover{
    background-color: white;
    color: rgb(189, 159, 250);
    border: 2px rgb(189, 159, 250) solid;
}
h2.edu{
    margin-top: 230px;
    text-align: center;
    padding-top: 50px;
    font-size: 50px;
    font-family:Darumadrop One, Geneva, Tahoma, sans-serif;
    color:var(--secondary-color);
}
div.education{
    background-color: var(--primary-color);
  height: 700px;
  margin-top: 150px;
  margin-right: -8px;
  margin-left: -8px;
}
div.college{
    box-sizing: border-box;
    margin-left: 200px;
    margin-top: 80px;
    box-shadow: 5px 3px 13px 3px rgb(120, 115, 115);
    border-radius: 30px;
    width: 500px;
    height: 300px;
}
div.college img{
  border-radius: 30px;
  transition: transform 450ms;
}
p.clg{
    text-align: center;
    margin-left: 15px;
    font-family: 'Ysabeau', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-size: 22px;
    width: 450px;
    color:var(--secondary-color);
}
div.school{
    box-sizing: border-box;
    margin-left: 830px;
    margin-top: -298px;
    box-shadow: 5px 3px 13px 3px rgb(120, 115, 115);
    border-radius: 30px;
    width: 500px;
    height: 300px;
}
div.school img{
    border-radius: 30px;
    transition: transform 450ms;
}
p.schl{
    text-align: center;
    margin-left: 30px;
    font-family: 'Ysabeau', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-size: 22px;
    width: 450px;
    color:var(--secondary-color);
}
div.college img:hover{
    transform: scale(1.05)
}
div.school img:hover{
    transform: scale(1.05)
}
div.experience{
    background-color: var(--bg-color);
    margin-left: 50px;
}
h2.exp{
    margin-top: 60px;
    text-align: center;
    font-size: 50px;
    font-family:Darumadrop One, Geneva, Tahoma, sans-serif;
    color:var(--secondary-color);
}
div.shrinik{
    box-sizing: border-box;
    margin-left: 250px;
    margin-top: 80px;
    border-radius: 30px;
    width: 500px;
    height: 300px;
}
div.shrinik img{
  border-radius: 30px;
  transition: transform 450ms;
}
p.shrinik{
    text-align: center;
    margin-left: -40px;
    font-family: 'Ysabeau', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-size: 22px;
    width: 450px;
    color:var(--secondary-color);
}
div.BI{
    box-sizing: border-box;
    margin-left: 830px;
    margin-top: -328px;
    border-radius: 30px;
    width: 500px;
    height: 300px;
}
div.BI img{
    border-radius: 30px;
    transition: transform 450ms;
}
p.bi{
    text-align: center;
    margin-left: -20px;
    margin-top: 5px;
    font-family: 'Ysabeau', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-size: 22px;
    width: 450px;
    color:var(--secondary-color);
}
div.shrinik img:hover{
    transform: scale(1.05)
}
div.BI img:hover{
    transform: scale(1.05)
}

h2.skill{
    margin-top: 230px;
    text-align: center;
    padding-top: 50px;
    font-size: 50px;
    font-family:Darumadrop One, Geneva, Tahoma, sans-serif;
    color:var(--secondary-color);
}
div.skills{
    background-color: var(--primary-color);
  height: 700px;
  margin-top: 240px;
  margin-right: -8px;
  margin-left: -8px;
}
div.lang{
    margin-top: 100px;
    margin-left: 380px;
    box-sizing: border-box;
}
div.lang img{
    margin-left: 40px;
    border-radius: 30px;
    border: solid 2px rgb(56, 86, 120);
    box-shadow: 5px 5px rgba(128, 128, 186, 0.71);
    transition: transform 450ms;
}
div.lang img:hover{
    transform: scale(1.05);
}
div.projects{
    background-color: var(--bg-color);
}
h2.project{
    margin-top: 60px;
    text-align: center;
    font-size: 50px;
    font-family:Darumadrop One, Geneva, Tahoma, sans-serif;
    color:var(--secondary-color);
}
div.allProjects{
    margin-top: 100px;
    margin-left: 370px;
    box-sizing: border-box;
}
div.allProjects img{
    margin-left: 40px;
    border-radius: 30px;
    border: solid 2px rgb(56, 86, 120);
    box-shadow: 5px 5px rgba(198, 157, 229, 0.71);
    transition: transform 450ms;
}
div.allProjects img:hover{
    transform: scale(1.05);
}
div.allProjects p:hover{
    transform: scale(1.01);
}
div.allProjects a{
    text-decoration: none;
}
div.allProjects p{
    font-size: 21px;
    font-weight: 500;
    transition: transform 450ms;
    color:var(--secondary-color);
}
div.netflix p{
    margin-left: 52px;
}
div.temp{
    margin-top: -245px;
    margin-left: 260px;
}
div.temp p{
    margin-left: 25px;
}
div.pdf{
    margin-top: -245px;
    margin-left: 520px;
}
div.pdf p{
    margin-left: 25px;
}
div.face{
    margin-top: 55px;
}
div.face p{
    margin-left: 82px;
}
div.pet{
    margin-top: -247px;
    margin-left: 260px;
}
div.pet p{
    margin-left: 60px;
}
div.tour{
    margin-top: -247px;
    margin-left: 520px;
}
div.tour p{
    margin-left: 76px;
}
div.contactMe{
    background-color: var(--primary-color);
  height: 700px;
  margin-top: 120px;
  margin-right: -8px;
  margin-left: -8px;
}
h2.contactme{
    margin-top: 60px;
    font-size: 50px;
    font-family:Darumadrop One, Geneva, Tahoma, sans-serif;
    padding-top: 50px;
    text-align: center;
    color:var(--secondary-color);
}
form{
    margin-top: 50px;
    text-align: center;
    box-sizing: border-box;
}
form input , textarea{
    width: 600px;
    height: 50px;
    border-radius: 20px;
    border: none;
    background-color: rgba(255, 255, 255, 0.689);
    text-decoration: none;
    outline: none;
    padding: 20px;
}
form textarea.msg{
    text-align: start;
    padding: 15px;
  border-radius: 25px;
  width: 600px;
  border: none;
  outline: none;
  background: rgba(255, 255, 255, 0.689);
  margin-bottom: 1rem;
  resize: none;
  height: 200px;
}
button.submit{
    padding-left: 2px;    
    padding-right: 2px;    
    padding-top: 2px;    
    padding-bottom: 2px;    
    background-color: rgb(253, 179, 67);
    border: none;
    text-align: center;
    font-size: 35px;
    font-family:'Dongle';
    height:45px;
    width: 150px;
    color: white;
    border-radius: 5px;
    box-shadow: 3px 3px 3px  rgba(168, 168, 167, 0.733);
    cursor:pointer;
}
.submit:hover{
    background-color: white;
    color: rgb(255, 156, 75);
    border-color: rgb(255, 156, 75);
    border-width: 2px;
}

/*dark mode*/

